unit Comprobante;

interface

uses
  ComprobanteEmisor, ComprobanteConcepto, ComprobanteImpuestos,
  ComprobanteReceptor;

type
   TComprobanteTipoDeComprobante = (ingreso, egreso, traslado);
   TComprobante = Class
     private
          //addendaField: ComprobanteAddenda ;
          certificadoField: string ;
          //complementoField: ComprobanteComplemento;
          //conceptosField: array of TComprobanteConcepto;
          condicionesDePagoField: string ;
          descuentoField: double ;
          descuentoFieldSpecified: boolean ;
          emisorField: TComprobanteEmisor ;
          fechaField: TDateTime ;
          fechaFolioFiscalOrigField: TDateTime ;
          fechaFolioFiscalOrigFieldSpecified: boolean ;
          folioField: string ;
          folioFiscalOrigField: string ;
          formaDePagoField: string ;
          impuestosField: TComprobanteImpuestos;
          lugarExpedicionField: string ;
          metodoDePagoField: string ;
          monedaField: string ;
          montoFolioFiscalOrigField: double ;
          montoFolioFiscalOrigFieldSpecified: boolean ;
          motivoDescuentoField: string ;
          noCertificadoField: string ;
          numCtaPagoField: string ;
          receptorField: TComprobanteReceptor ;
          selloField: string ;
          serieField: string ;
          serieFolioFiscalOrigField: string ;
          subTotalField: double ;
          tipoCambioField: string ;
          tipoDeComprobanteField: TComprobanteTipoDeComprobante ;
          totalField: double ;
          versionField: string ;


     // These methods and properties are all usable by instances of the class
     public
      conceptos: array of TComprobanteConcepto;
      property certificado : string read certificadoField write certificadoField;
      //property conceptos : array of TComprobanteConcepto read conceptosField write conceptosField;
      property condicionesDePago : string read condicionesDePagoField write condicionesDePagoField;
      property descuento : double read descuentoField write descuentoField;
      property descuentoSpecified : boolean read descuentoFieldSpecified write descuentoFieldSpecified;
      property emisor : TComprobanteEmisor read emisorField write emisorField;
      property fecha : TDateTime read fechaField write fechaField;
      property fechaFolioFiscalOrig : TDateTime read fechaFolioFiscalOrigField write fechaFolioFiscalOrigField;
      property fechaFolioFiscalOrigSpecified : boolean read fechaFolioFiscalOrigFieldSpecified write fechaFolioFiscalOrigFieldSpecified;
      property folio : string read folioField write folioField;
      property folioFiscalOrig : string read folioFiscalOrigField write folioFiscalOrigField;
      property formaDePago : string read formaDePagoField write formaDePagoField;
      property impuestos : TComprobanteImpuestos read impuestosField write impuestosField;
      property lugarExpedicion : string read lugarExpedicionField write lugarExpedicionField;
      property metodoDePago : string read metodoDePagoField write metodoDePagoField;
      property moneda : string read monedaField write monedaField;
      property montoFolioFiscalOrig : double read montoFolioFiscalOrigField write montoFolioFiscalOrigField;
      property montoFolioFiscalOrigSpecified : boolean read montoFolioFiscalOrigFieldSpecified write montoFolioFiscalOrigFieldSpecified;
      property motivoDescuento : string read motivoDescuentoField write motivoDescuentoField;
      property noCertificado : string read noCertificadoField write noCertificadoField;
      property numCtaPago : string read numCtaPagoField write numCtaPagoField;
      property receptor : TComprobanteReceptor read receptorField write receptorField;
      property sello : string read selloField write selloField;
      property serie : string read serieField write serieField;
      property serieFolioFiscalOrig : string read serieFolioFiscalOrigField write serieFolioFiscalOrigField;
      property subTotal : double read subTotalField write subTotalField;
      property tipoCambio : string read tipoCambioField write tipoCambioField;
      property tipoDeComprobante : TComprobanteTipoDeComprobante read tipoDeComprobanteField write tipoDeComprobanteField;
      property total : double read totalField write totalField;
      property version : string read versionField write versionField;


   end;

implementation

end.
