unit ResultadoConsulta;

interface

uses Util;

type
   TResultadoConsulta = Class
     private

      _descripcion: string ;
      _numeroError: string ;
      _tipoExcepcion: string ;
      _xml: string ;
      function _GetExitoso: Boolean;


     public
       constructor Create(resultados: ArrayOfAnyType);

       function GuardaXML(ruta: string; nombreArchivo: string ): Boolean;
       property descripcion : String read _descripcion;
       property numeroError : string read _numeroError;
       property tipoExcepcion : string read _tipoExcepcion;
       property xml : string read _xml;
       property Exitoso : Boolean read _GetExitoso;

   end;

implementation

uses
  System.SysUtils, StrUtils, System.Classes, Soap.EncdDecd,System.RegularExpressions;


constructor TResultadoConsulta.Create(resultados: ArrayOfAnyType);
 begin
    _tipoExcepcion := resultados[0];
    _numeroError := resultados[1];
    _descripcion := resultados[2];
    _xml := resultados[3];
 end;

function TResultadoConsulta._GetExitoso(): Boolean;
 begin

   Result := _numeroError='0';

 end;



function TResultadoConsulta.GuardaXML(ruta, nombreArchivo: string): Boolean;
var
  MyText: TStringlist;
begin


      MyText:= TStringlist.create;
      try

        try
            MyText.Add(xml);
            MyText.SaveToFile(ruta + nombreArchivo, TEncoding.UTF8 );
        except on E: Exception do
           result:=false;
        end;

            result:=true;

      finally
        MyText.Free
      end;



end;

end.
