unit ResultadoRegistro;

interface

uses Util;

type
   TResultadoRegistro = Class
     private
       _descripcion     : String;    // The string passed to the constructor
       _numeroError     : String;   // Internal count of words in the string
       _tipoExcepcion   : String;    // The substring used by FindFirst, FindNext
       function _GetExitoso: Boolean ;

     // These methods and properties are all usable by instances of the class
     public

       constructor Create(resultados: ArrayOfAnyType);

       property Descripcion : String read _descripcion;
       property NumeroError : String read _numeroError;
       property TipoExcepcion : String read _tipoExcepcion;
       property Exitoso : Boolean read _GetExitoso;
   end;

implementation


constructor TResultadoRegistro.Create(resultados: ArrayOfAnyType);
 begin
    _tipoExcepcion := resultados[0];
    _numeroError := resultados[1];
    _descripcion := resultados[2];

 end;

function TResultadoRegistro._GetExitoso(): Boolean;
 begin

   Result := _numeroError='0';

 end;

end.
